> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Announcements

> Fetch the latest announcement that is marked as an index announcement.



## OpenAPI

````yaml GET /announcement/get
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /announcement/get:
    get:
      tags:
        - announcement
      summary: Retrieve the latest announcement
      description: Fetch the latest announcement that is marked as an index announcement.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                    description: The title of the announcement
                  content:
                    type: string
                    description: The content of the announcement
                  button_name:
                    type: string
                    description: >-
                      The name of the button associated with the announcement.
                      Could be empty
                  button_url:
                    type: string
                    description: The URL that the button points to. Could be empty
                  is_index:
                    type: boolean
                    description: >-
                      Indicates whether the announcement is set as an index
                      announcement
                example:
                  title: New Update Available
                  content: We have released a new update for our platform.
                  button_name: Read More
                  button_url: https://example.com/update
                  is_index: true
        '401':
          description: (Unauthorized) Invalid or missing Access Token
      deprecated: false

````